Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.waap.domains.list()
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Waap.Domains.List(context.TODO(), waap.DomainListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/waap/v1/domains \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 123,
"offset": 123,
"count": 123,
"results": [
{
"id": 123,
"name": "<string>",
"status": "active",
"custom_page_set": 123,
"created_at": "2023-11-07T05:31:56Z",
"aliases": [
"<string>"
]
}
]
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Domains
Get Domains
Retrieve a list of domains associated with the client
GET
/
waap
/
v1
/
domains
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.waap.domains.list()
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Waap.Domains.List(context.TODO(), waap.DomainListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Sort the response by given field.
Available options:
id, name, status, created_at, -id, -name, -status, -created_at Number of items to return
Required range:
0 <= x <= 100Number of items to skip
Required range:
0 <= x <= 100000Filter domains based on the domain status
Available options:
active, bypass, monitor, locked Example:
"active"
Filter domains based on the domain name. Supports '*' as a wildcard character
Example:
"*example.com"
Filter domains based on their IDs
The domain ID
Examples:
1
2
3
Response
Successful Response
Number of items requested in the response
Items response offset used
Number of items contain in the response
List of items returned in the response following given criteria
Show child attributes
Show child attributes
Was this page helpful?